#!/bin/bash
#This script must receive the size of a frame of the explosion animation
echo "  generate explosion A to sprites/explosions/ directory at $(date +%Hh:%Mmin:%Ssec)"

let "FramesNumber = 31"
let "Width = ${1}"
let "AlbumWidth = ${Width} * ${FramesNumber}"
let "Height = ${Width}"

povray +Iscene.pov +W${AlbumWidth} +H${Height} +a0.01 +am2 +r3 +UA +Oalbum.png Declare=FramesNumber=${FramesNumber} +GFrender.povlog

source includes/cropImage.sh

for(( Iterator = 0 ; Iterator < ${FramesNumber} ; ++Iterator ))
do
	CropImage2 ${1} ${Width} album.png ${Iterator} 0 1 1 exploA_${Iterator}.png
done

mv exploA_*.png output