#version 3.7;

global_settings{ assumed_gamma 1.0 }

#include "includes/affineFunctionSetter.inc"

#declare ViewSize = 3;
#declare X_CamPos = FramesNumber / 2 * ViewSize - ViewSize / 2;

camera{
	orthographic
	location < X_CamPos, 0, -20 >
	look_at < X_CamPos, 0, 0 >
	sky y
	direction 20 * z
	right ViewSize * FramesNumber * x
	up ViewSize * y
}

light_source{ < 1, 1, -8 > * 1000 color srgb 1 }

#declare FireMedia = true;
#declare SmokeMedia = true;

#include "includes/explosions/explosionA.inc"

#for( It, 0, FramesNumber - 1 )
	MakeExplosionA_Sphere( It, FramesNumber, 1.4, < ViewSize * It, 0, 0 > )
#end
